{System/conversion/conversion_progress.i}

DEF VAR cProgram                         AS CHARACTER NO-UNDO.
DEF VAR cAction                          AS CHARACTER NO-UNDO.
DEF VAR cTable                           AS CHARACTER NO-UNDO.
DEF VAR iTotal                           AS INTEGER   NO-UNDO.
DEF VAR iDone                            AS INTEGER   NO-UNDO.
DEF VAR iLoop                            AS INTEGER   NO-UNDO.
DEF VAR iModulo                          AS INTEGER   NO-UNDO.

DISABLE TRIGGERS FOR LOAD OF dp-control.
DISABLE TRIGGERS FOR LOAD OF dp-selling-reference-line.
DISABLE TRIGGERS FOR LOAD OF dp-rental-reference-line.

DEFINE BUFFER b-dp-control FOR dp-control.
DEFINE BUFFER b-dp-selling-reference-line FOR dp-selling-reference-line.
DEFINE BUFFER b-dp-rental-reference-line FOR dp-rental-reference-line.


ASSIGN
  cProgram = THIS-PROCEDURE:FILE-NAME
  cAction  = "Reefer connect"
  cTable   = "dp-control"
  iTotal   = 0
  iDone    = 0
  iModulo  = 0
  .



FOR EACH b-dp-control WHERE
         b-dp-control.controlname = "SO-REEFERCONNECT"
         EXCLUSIVE-LOCK:

  FIND b-dp-selling-reference-line WHERE
       b-dp-selling-reference-line.companycode = b-dp-control.controlkey1 AND
       b-dp-selling-reference-line.seqnr = int(b-dp-control.controlkey2) AND
       b-dp-selling-reference-line.lineseqnr = int(b-dp-control.controlkey3)
       EXCLUSIVE-LOCK NO-ERROR.
  IF AVAILABLE b-dp-selling-reference-line AND
     NUM-ENTRIES(b-dp-control.controlvalue, "|") >= 3
  THEN DO:
    b-dp-selling-reference-line.ind_reefer_connect  = ENTRY(1, b-dp-control.controlvalue, "|") = "yes".
    b-dp-selling-reference-line.reefer_temp_from = INTEGER(ENTRY (2, b-dp-control.controlvalue, "|")).
    b-dp-selling-reference-line.reefer_temp_till = INTEGER(ENTRY (3, b-dp-control.controlvalue, "|")).

  END.

  DELETE b-dp-control.
END.



FOR EACH b-dp-control WHERE
         b-dp-control.controlname = "RO-REEFERCONNECT"
         EXCLUSIVE-LOCK:

  FIND b-dp-rental-reference-line WHERE
       b-dp-rental-reference-line.companycode = b-dp-control.controlkey1 AND
       b-dp-rental-reference-line.seqnr = int(b-dp-control.controlkey2) AND
       b-dp-rental-reference-line.lineseqnr = int(b-dp-control.controlkey3)
       EXCLUSIVE-LOCK NO-ERROR.
  IF AVAILABLE b-dp-rental-reference-line AND
     NUM-ENTRIES(b-dp-control.controlvalue, "|") >= 3
  THEN DO:
    b-dp-rental-reference-line.ind_reefer_connect  = ENTRY(1, b-dp-control.controlvalue, "|") = "yes".
    b-dp-rental-reference-line.reefer_temp_from = INTEGER(ENTRY (2, b-dp-control.controlvalue, "|")).
    b-dp-rental-reference-line.reefer_temp_till = INTEGER(ENTRY (3, b-dp-control.controlvalue, "|")).
  END.

  DELETE b-dp-control.
END.


iTotal = iDone.
RUN DisplayProgress (cProgram, cAction, cTable, iTotal, iDone).



